Page MenuHomePhabricator

Speak with Nobelprize.org if they can make linking easier
Closed, ResolvedPublic

Description

Status: Done se T248939#6092675
Update we have a link error reported see T252093: Link error to the Nobelprize website

As we now have a new Wikidata property Property P8024 we could avoid link root if Nobel prize started use this id as the parameter when we has a link in an Wikipedia article

Example Selma Lagerlöf en:Wikipedia has link root using http://www.nobel.se/literature/laureates/1909/index.html that has stopped working

Next step ask the Nobelprize.org people if they can have a better link modell using the id as an parameter

e.g. Selma Lagerlöf is 579 and when all our 190 languages should link Nobelprize.org we use an URL like http://www.nobel.se/literature/laureates/579

As we have a data layer that means that we can easy create templates in the wiki articles and fetch this number for Selma Lagerlöf from her Wikidata page and use it in 103 languages

Event Timeline

Salgo60 created this task.Mar 31 2020, 5:16 AM
Salgo60 updated the task description. (Show Details)
Salgo60 renamed this task from Speak with Noibelprize.org if they can make linking easier to Speak with Nobelprize.org if they can make linking easier.Mar 31 2020, 5:24 AM
Salgo60 updated the task description. (Show Details)Mar 31 2020, 5:28 AM

Answer from Hans

Hi!

We can provide you with one url to link to for each id and we may foward to that persons/organizations page if one prize, and present a list of Prizes if more than one. There are at least two ways: We can use the current API with links as https://api.nobelprize.org/2.0/laureate/6 and you provide a flag to get a redirect instead of a json return. Or we can create a bespoke url for you like https://www.nobelprize.org/laureates/6 that only perform this task. The first one may be more in line with our future LOD model, but the latter one may be easier for you. Let me know what you think and what you need and I can setup a test for you.

/ Hans

Yours sincerely,
Nobelprize.org Team

Salgo60 updated the task description. (Show Details)Apr 16 2020, 7:47 AM
Salgo60 closed this task as Resolved.EditedApr 29 2020, 9:42 AM
Salgo60 moved this task from Backlog to Done on the Magnus Sälgö board.
Salgo60 updated the task description. (Show Details)Apr 29 2020, 9:42 AM
Salgo60 updated the task description. (Show Details)May 2 2020, 2:18 AM
Salgo60 updated the task description. (Show Details)May 7 2020, 4:30 AM